[SRU] gnome-hearts crashes on startup (edgy)

Bug #79059 reported by ville palo on 2007-01-13
8
Affects Status Importance Assigned to Milestone
gnome-hearts (Ubuntu)
Undecided
ville palo

Bug Description

Binary package hint: gnome-hearts

Original bug: Bug #65274
Original description:
"GNOME Hearts crashes on startup in edgy."

gnome-hearts cannot be used on edgy because every time you try it crashes.

Fix was made by Andreas Henriksson:

(from original bug report comments)
"Hearts crashes due to a change in the gnome-games card styles. bonded.png was replaced by bonded.svg and hearts uses bonded.png as the default cardset. When it can't find it, the game crashes.

I'm attaching a quick patch written by Andreas Henriksson on Debian BTS. I'm working on gnome-hearts-0.1.3 which should remove the crashing behaviour alltogether."

I've tested this on edgy and gnome-hearts works fine with this fix.

Other way to fix from upstream author:
"I'm the upstream author who also wrote the 01_gnome_cards_data patch. That patch was made because Debian split gnome-games-extra-data into extra data and cards-data. Because Edgy doesn't have the gnome-cards-data package, I propose you simply drop the patch alltogether."

I think upstream author is right, we should just drop that gnome cards patch. I made a new debdiff ~proposed1
and tested it on edgy without segfaults.
This needs three new votes from MOTU SRU team.

ville palo (vi64pa) wrote :
  • - Edit (1.4 KiB, text/plain)
Changed in gnome-hearts:
assignee: nobody → vi64pa
StefanPotyra (sistpoty) wrote :

I guess you should also s/bonded.png/bonded.svg/ in 01_gnome_cards_data.patch. Also, you should start your patch name with a number and not the string ubuntu, to make it clear in which order the patches need to be applied.

Other than that, looks fine.

ville palo (vi64pa) wrote :
  • - Edit (2.1 KiB, text/plain)
ville palo (vi64pa) wrote :

Thanks, here's a fixed version.

Daniel T Chen (crimsun) wrote :

Looks sane, +1.

Sander Marechal (s-marechal) wrote :

I'm the upstream author who also wrote the 01_gnome_cards_data patch. That patch was made because Debian split gnome-games-extra-data into extra data and cards-data. Because Edgy doesn't have the gnome-cards-data package, I propose you simply drop the patch alltogether. This is what I did for my unofficial dapper packages. See http://packages.jejik.com/ubuntu/pool/main/g/gnome-hearts/

ville palo (vi64pa) wrote :

I think upstream author is right, we should just drop that gnome cards patch. I made a new debdiff ~proposed1
and tested it on edgy without segfaults.
This needs three new votes from MOTU SRU team.

description: updated
Daniel T Chen (crimsun) wrote :

Ok, this approach seems sane, too. +1

StefanPotyra (sistpoty) wrote :

hm... this patch is more invasive and changes the list of installed files, which the first approach doesn't.

I prefer the less invasive one, but feel free to override me.

+/-0 from me thus.

Reinhard Tartler (siretart) wrote :

While I agree to sistpoty that the patch is really invasive, I'd rather go with upstream in this case, and tend more to agree with crimsun.

+0.7 from me.

StefanPotyra (sistpoty) wrote :

Damn, I guess I shouldn't have started with +-0... now it's impossible to get a +3, since we're only 4 members of motu-sru :/.

@ville: can you give a diff of the filelists (dpkg -c olddeb vs. dpkg -c newdeb)? If we don't have file-conflicts between that and a cards-package? Then I'll reconsider.

ville palo (vi64pa) wrote :

Here's debdiff between .debs sed (-e 's/^.*\.\///)

--- olddeb 2007-01-15 20:32:38.000000000 +0200
+++ newdeb 2007-01-15 20:32:20.000000000 +0200
@@ -19,6 +19,12 @@
 usr/share/man/
 usr/share/man/man6/
 usr/share/man/man6/gnome-hearts.6.gz
+usr/share/pixmaps/
+usr/share/pixmaps/gnome-hearts/
+usr/share/pixmaps/gnome-hearts/cards/
+usr/share/pixmaps/gnome-hearts/cards/dondorf.svg
+usr/share/pixmaps/gnome-hearts/baize.png
+usr/share/pixmaps/gnome-hearts.png
 usr/share/gnome-hearts/
 usr/share/gnome-hearts/gnome-hearts.png
 usr/share/gnome-hearts/gnome-hearts-small.png
@@ -33,10 +39,6 @@
 usr/share/gnome-hearts/scripts/stock_ai.lua
 usr/share/gnome-hearts/gnome-hearts.glade
 usr/share/gnome-hearts/gnome-hearts.cfg
-usr/share/pixmaps/
-usr/share/pixmaps/gnome-hearts.png
-usr/share/pixmaps/gnome-hearts/
-usr/share/pixmaps/gnome-hearts/baize.png
 usr/share/locale/
 usr/share/locale/da/
 usr/share/locale/da/LC_MESSAGES/

and here's dpkg -c gnome-cards-data
usr/
usr/share/
usr/share/doc/
usr/share/doc/gnome-cards-data/
usr/share/doc/gnome-cards-data/NEWS.gz
usr/share/doc/gnome-cards-data/TODO
usr/share/doc/gnome-cards-data/AUTHORS
usr/share/doc/gnome-cards-data/copyright
usr/share/doc/gnome-cards-data/changelog.gz
usr/share/doc/gnome-cards-data/README.gz
usr/share/doc/gnome-cards-data/changelog.Debian.gz
usr/share/pixmaps/
usr/share/pixmaps/gnome-games-common/
usr/share/pixmaps/gnome-games-common/cards/
usr/share/pixmaps/gnome-games-common/cards/bonded.svg
usr/share/pixmaps/gnome-games-common/icons/
usr/share/pixmaps/gnome-games-common/icons/teleport.png
usr/share/pixmaps/gnome-games-common/icons/rteleport.png
usr/share/pixmaps/cards/
usr/share/pixmaps/cards/baize.png
usr/share/pixmaps/cards/slot.svg
usr/share/pixmaps/cards/slots/
usr/share/pixmaps/cards/slots/white-outline.svg

I hope this is what you wanted?

StefanPotyra (sistpoty) wrote :

Yes great. No duplicates (I just rechecked with the search on p.u.c).

+1 thus.

Daniel T Chen (crimsun) wrote :

Just a thought: Wouldn't the debdiff be /much/ clearer if you just removed "include /usr/share/cdbs/1/rules/simple-patchsys.mk" from debian/rules? It's pretty obvious what the semantics of that change would be, and its diffstat would be much more suitable.

ville palo (vi64pa) wrote :

Currently this SRU (removing patch file) has +3 (or 2.7) votes.

If somebody else thinks it is better to remove simple-patchsys.mk than
patch file please add your opinion to this report. If this new SRU (simple-patchsys.mk) gets +3 votes (instread 2.7 ;-)) I'll create a new debdiff.

Reinhard Tartler (siretart) wrote :

I'd say, we all have now read the large diff several times, and we now know what's going on there. Let's keep this current diff (and count my funny 0.7 as +1.0) ;)

ville palo (vi64pa) wrote :

Ready for uploading to edgy-proposed

Daniel T Chen (crimsun) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 14 Jan 2007 10:31:39 +0200
Source: gnome-hearts
Binary: gnome-hearts
Architecture: source
Version: 0.1.2-1ubuntu1.1~proposed1
Distribution: edgy-proposed
Urgency: low
Maintainer: Sander Marechal <email address hidden>
Changed-By: ville palo <email address hidden>
Description:
 gnome-hearts - The classic hearts card game for the GNOME desktop
Changes:
 gnome-hearts (0.1.2-1ubuntu1.1~proposed1) edgy-proposed; urgency=low
 .
   * Removed 01_gnome_cards_data patch for fixing crash on startup
     - closes malone #65274 and #79059 (Hearts crashes on startup)
Files:
 0afa707625099b727f345a016e58486b 1642 games optional gnome-hearts_0.1.2-1ubuntu1.1~proposed1.dsc
 c85d4a57aaecef747fe708433ef6f9e1 3182 games optional gnome-hearts_0.1.2-1ubuntu1.1~proposed1.diff.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFrgjye9GwFciKvaMRAst7AKCjkagctRuhi0lDbwtAggarMBpS+gCfULqs
yTUadf6RkPat5A5fqt9tW9k=
=DNqe
-----END PGP SIGNATURE-----

Tollef Fog Heen (tfheen) wrote :

Accepted into edgy-proposed. Please solicit testing.

Changed in gnome-hearts:
status: Unconfirmed → Fix Committed
Áron Sisak (asisak) wrote :

Works for me (bonded is not default now, however, enabling it cause no problems).

K. Deniz Ogut (kdenizogut) wrote :

Hello Dear Developers,
I'm an Edgy user. In my opinion, the problem still exists.
Today I searched for "hearts" in Synaptic and installed what proposed. (I didn't give attention at that time but later I realized that it was version 0.1.2-1.) It simply didn't work and crashed at startup. After some search and having no idea on the availability of a newer version in Ubuntu repositories, I downloaded the .deb file from its developers' site. Namely: gnome-hearts_0.1.3-1_i386.deb . After manual install, it was OK, I managed to play the game. I went back to Synaptic to check the version which was not working. Made a "hearts" search in Synaptic again. This time result was gnome-hearts 0.1.3-1 and labeled as "installed". Right clicked > properties. It says: "0.1.3-1 (now)" "0.1.2-1ubuntu1 (edgy)". As I can feel, that "now" refers to some other repositories (maybe the one for 7.04) but at the very beginning Synaptic had offered me just the one for Edgy, version 0.1.2-1 and that one was not working. At least it didn't work on my Edgy machine. But 0.1.3-1 works. Under these conditions, isn't it useful to replace the newer version with the older one even for Edgy repository in order to prevent people download and install something which doesn't work?
Regards.

Sander Marechal (s-marechal) wrote :

Hello K. Deniz Ogut,

You should read a bit more on how Synaptic works. Synaptic does not show just all the packages in the Edgy repository but also all the packages that you have installed manually -- no matter where they came from. So, when you went to my website and downloaded & installed gnome-hearts-0.1.3, synaptic shows it to you because it's installed. If you remove it and reload the repository list you will see it disappears again so that 0.1.2 is the latest version.

And yes, it's a shame that by default, edgy still installs a version that crashes, four months after it has been fixed and three month after it's been proposed for inclusion in Edgy.

StefanPotyra (sistpoty) wrote :

Hi K. Deniz,

can you please try, if the version in edgy-proposed works for you? To do this, you can either add edgy-proposed to your sources.list or you can get the .deb directly from http://archive.ubuntu.com/ubuntu/pool/universe/g/gnome-hearts/gnome-hearts_0.1.2-1ubuntu1.1~proposed1_i386.deb (i386).

@Sander, yes, the "old" sru-process didn't work out really with many packages stuck in the testing phase, so we made it more easy: right now, only 2 "works for me" are needed to get a package from -proposed into -updates, so all that's needed here is one more person stating that the upgrade fixes the problem.

Cheers,
     Stefan.

Sander Marechal (s-marechal) wrote :

Well, that's easy. I have it installed on three Edgy systems for quite a while now and haven't had any problems.

StefanPotyra (sistpoty) wrote :

Great, thanks!

uploaded to edgy-updates:

Format: 1.7
Date: Fri, 6 Apr 2007 19:41:18 +0200
Source: gnome-hearts
Binary: gnome-hearts
Architecture: source
Version: 0.1.2-1ubuntu1.1
Distribution: edgy-updates
Urgency: low
Maintainer: Sander Marechal <email address hidden>
Changed-By: Stefan Potyra <email address hidden>
Description:
 gnome-hearts - The classic hearts card game for the GNOME desktop
Changes:
 gnome-hearts (0.1.2-1ubuntu1.1) edgy-updates; urgency=low
 .
   * No-change upload, propagating to edgy-updates.
   * Tested by Áron Sisak and Sander Marechal (see lp#79059).
 .
 gnome-hearts (0.1.2-1ubuntu1.1~proposed1) edgy-proposed; urgency=low
 .
   * Removed 01_gnome_cards_data patch for fixing crash on startup
     - closes malone #65274 and #79059 (Hearts crashes on startup)
Files:
 bbae1f1058c21c897af0413760049838 1622 games optional gnome-hearts_0.1.2-1ubuntu1.1.dsc
 a2b3b4d813ee8a851ab90e8ade636fe8 3277 games optional gnome-hearts_0.1.2-1ubuntu1.1.diff.gz

Martin Pitt (pitti) wrote :

Accepted into edgy-updates.

Changed in gnome-hearts:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments